sigmlgen.playerctrl

## Class SiGMLPlayerTagDefs

- java.lang.Object
- - sigmlgen.playerctrl.SiGMLPlayerTagDefs

-     public class SiGMLPlayerTagDefs
      extends java.lang.Object

  Definitions of element and attribute names and values for a SiGML `<player_settings>` element.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `AMBIENTS_TAG` `ambient_motions` element tag.
    `static java.lang.String` | `AVR_TAG` `avatar` element tag.
    `static java.lang.String` | `BG_ATTR` `begin` attribute name.
    `static java.lang.String` | `BLINK_ATTR` `blink` attribute name.
    `static java.lang.String` | `BODY_ATTR` `body` attribute name.
    `static java.lang.String` | `CAM_LOC_TAG` `camera_location` element tag.
    `static java.lang.String` | `CX_ATTR` `cx` attribute name.
    `static java.lang.String` | `CY_ATTR` `cy` attribute name.
    `static java.lang.String` | `FOV_ATTR` `fov` attribute name.
    `static java.lang.String` | `HEAD_ATTR` `head` attribute name.
    `static java.lang.String` | `MD_ATTR` `mode` attribute name.
    `static java.lang.String` | `NM_ATTR` `name` attribute name.
    `static java.lang.String` | `ON_FLAG` `ON` attribute value.
    `static java.lang.String` | `PHI_ATTR` `phi` attribute name.
    `static java.lang.String` | `R_ATTR` `r` attribute name.
    `static java.lang.String` | `THETA_ATTR` `theta` attribute name.
    `static java.lang.String` | `TIME_TAG` `time` element tag.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SiGMLPlayerTagDefs()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AVR_TAG

          public static final java.lang.String AVR_TAG

      `avatar` element tag.
      See Also:
        Constant Field Values

    - #### TIME_TAG

          public static final java.lang.String TIME_TAG

      `time` element tag.
      See Also:
        Constant Field Values

    - #### CAM_LOC_TAG

          public static final java.lang.String CAM_LOC_TAG

      `camera_location` element tag.
      See Also:
        Constant Field Values

    - #### AMBIENTS_TAG

          public static final java.lang.String AMBIENTS_TAG

      `ambient_motions` element tag.
      See Also:
        Constant Field Values

    - #### NM_ATTR

          public static final java.lang.String NM_ATTR

      `name` attribute name.
      See Also:
        Constant Field Values

    - #### BG_ATTR

          public static final java.lang.String BG_ATTR

      `begin` attribute name.
      See Also:
        Constant Field Values

    - #### MD_ATTR

          public static final java.lang.String MD_ATTR

      `mode` attribute name.
      See Also:
        Constant Field Values

    - #### CX_ATTR

          public static final java.lang.String CX_ATTR

      `cx` attribute name.
      See Also:
        Constant Field Values

    - #### CY_ATTR

          public static final java.lang.String CY_ATTR

      `cy` attribute name.
      See Also:
        Constant Field Values

    - #### R_ATTR

          public static final java.lang.String R_ATTR

      `r` attribute name.
      See Also:
        Constant Field Values

    - #### THETA_ATTR

          public static final java.lang.String THETA_ATTR

      `theta` attribute name.
      See Also:
        Constant Field Values

    - #### PHI_ATTR

          public static final java.lang.String PHI_ATTR

      `phi` attribute name.
      See Also:
        Constant Field Values

    - #### FOV_ATTR

          public static final java.lang.String FOV_ATTR

      `fov` attribute name.
      See Also:
        Constant Field Values

    - #### BODY_ATTR

          public static final java.lang.String BODY_ATTR

      `body` attribute name.
      See Also:
        Constant Field Values

    - #### HEAD_ATTR

          public static final java.lang.String HEAD_ATTR

      `head` attribute name.
      See Also:
        Constant Field Values

    - #### BLINK_ATTR

          public static final java.lang.String BLINK_ATTR

      `blink` attribute name.
      See Also:
        Constant Field Values

    - #### ON_FLAG

          public static final java.lang.String ON_FLAG

      `ON` attribute value.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SiGMLPlayerTagDefs

          public SiGMLPlayerTagDefs()